#ifndef __COLORMAP_H__
#define __COLORMAP_H__

#include <stdio.h>

#include <type_obj.h>
#include <image.h>

typedef image colormap;

#define  FAIRE_colormap(map) FAIRE_image(map)
#define  DEFAIRE_colormap(map) DEFAIRE_image(map);


#define  colormap_save(map,name) image_save(map,name)
#define   colormap_to_stream(map,name) image_to_stream(map,,name)

/* -1 to -3 problem with the file (see image.h) */
/* -4 : not a single column */ 
extern int     colormap_load      (colormap,char *);
extern bouleen colormap_move_to   (colormap, int);
extern void    colormap_initialize(colormap,int);

/* 0-2 number of axis, 3 axis of greatest variance */
/* third parameter: sorted axis */
extern colormap colormap_give_sorted    (colormap,int,int*);
/* index,nb_comp in 0,1,2*/
extern int      colormap_give_color_comp(colormap,int,int);

#define  colormap_previous(map) image_pixel_gauche(map)
#define  colormap_next(map) image_pixel_droite(map)
#define  colormap_begin(map) image_debut(map)
#define  colormap_read_color(map) image_lire_pixel(map)
#define  colormap_write_color(map,pix) image_ecrire_pixel(map,pix)
#define colormap_give_nb_color(map) image_give_largeur(map)

#endif
