#ifndef __INVERSE_H__
#define __INVERSE_H__

#include <image.h>
#include "colormap.h"

typedef image (*PFinverse)(image,image);

extern image inverse_trivial(image,colormap);
extern image inverse_partial(image,colormap);
extern image inverse_norm_alpha(image,colormap);
extern image inverse_sorted(image,colormap);
extern image inverse_nearest(image,colormap);
extern image inverse_hash(image,colormap);

extern void  inverse_set_alpha(float a);

static PFinverse inverse[]={inverse_trivial,
			    inverse_partial,
			    inverse_norm_alpha,
			    inverse_sorted,
			    inverse_nearest,
			    inverse_hash};
#endif
