#include <objet.h>
#include "tab_temp.h"

#define ALLOC_COLUMN 1000
#define REALLOC_COLUMN 1000
#define ALLOC_LINE 500

#define Size_elt  SELF(size_elt)
#define Column    SELF(column)
#define Nb_line   SELF(nb_line)

static void   realloc_tab_temp_priv(tab_temp,int);

struct tab_temp
{
  void** column;
  size_t size_elt;
  unsigned int nb_line;
};

tab_temp FAIRE_tab_temp(size_t size)
{
  INSTANCIER(tab_temp);
  Size_elt=size;
  Nb_line = ALLOC_COLUMN;
  Column=(void**)calloc(Nb_line,sizeof(void*));
  assert(Column);
  
  return self;
}
void DEFAIRE_tab_temp(tab_temp self)
{
  int i;

  for(i=0;i<Nb_line;i++)
    {
      if(Column[i]!=NULL)
	free(Column[i]);
    }
  free(Column);
  free(self);
}
void*  tab_temp_give_elt(tab_temp self,unsigned int index)
{
  int line   = index/ALLOC_LINE;
  int column = index%ALLOC_LINE;

  /* we add as lines as necessary*/
  realloc_tab_temp_priv(self,line);
  if (Column[line]==NULL)
    Column[line]=malloc(ALLOC_LINE*Size_elt);
  
  return Column[line]+column*Size_elt;
}
static void   realloc_tab_temp_priv(tab_temp self,int line)
{
  int i,nb_line;

  if(line < Nb_line)
    return;

  nb_line=(line/ALLOC_COLUMN+1)*ALLOC_COLUMN;
  Column = (void**)realloc(Column,nb_line*sizeof(void*));
  assert(Column);
  for( i=Nb_line;i<nb_line;i++)
    Column[i]=NULL;

  Nb_line=nb_line;
}


